# LocalFileInputSource Class Reference

This class is a derivative of the standard InputSource class. More...

Inheritance diagram for LocalFileInputSource:

List of all members.

## Public Member Functions

Constructors
| LocalFileInputSource (const XMLCh *const basePath, const XMLCh *const relativePath, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| A local file input source requires a path to the file to load.
| LocalFileInputSource (const XMLCh *const filePath, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| This constructor takes a single parameter which is the fully qualified or relative path.
Destructor
| ~LocalFileInputSource ()
Virtual methods
virtual BinInputStream * | makeStream () const
| This method will return a binary input stream derivative that will parse from the local file indicatedby the system id.

## Detailed Description

This class is a derivative of the standard InputSource class.

It provides for the parser access to data which is referenced via a local file path, as apposed to remote file or URL. This is the most efficacious mechanism by which local files can be parsed, since the parse knows that it refers to a local file and will make no other attempts to interpret the passed path.

The path provided can either be a fully qualified path or a relative path. If relative, it will be completed either relative to a passed base path or relative to the current working directory of the process.

As with all InputSource derivatives. The primary objective of an input source is to create an input stream via which the parser can spool in data from the referenced source.

## Constructor & Destructor Documentation

LocalFileInputSource::LocalFileInputSource | ( | const XMLCh *const | basePath,
|  | const XMLCh *const | relativePath,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

A local file input source requires a path to the file to load.

This can be provided either as a fully qualified path, a path relative to the current working directly, or a path relative to a provided base path.

The completed path will become the system id of this input source. The constructors don't take any public id for local files, but you still set them via the parent class' setPublicId() method of course.

This constructor takes an explicit base path and a possibly relative path. If the relative path is seen to be fully qualified, it is used as is. Otherwise, it is made relative to the passed base path.

Parameters:

  | basePath | The base path from which the passed relative path will be based, if the relative part is indeed relative.
  | relativePath | The relative part of the path. It can actually be fully qualified, in which case it is taken as is.
  | manager | Pointer to the memory manager to be used to allocate objects.

Exceptions:

  | XMLException | If the path is relative and doesn't properly resolve to a file.

LocalFileInputSource::LocalFileInputSource | ( | const XMLCh *const | filePath,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

This constructor takes a single parameter which is the fully qualified or relative path.

If it is fully qualified, it is taken as is. If it is relative, then it is completed relative to the current working directory (or the equivalent on the local host machine.)

The completed path will become the system id of this input source. The constructors don't take any public id for local files, but you still set them via the parent class' setPublicId() method of course.

Parameters:

  | filePath | The relative or fully qualified path.
  | manager | Pointer to the memory manager to be used to allocate objects.

Exceptions:

  | XMLException | If the path is relative and doesn't properly resolve to a file.

LocalFileInputSource::~LocalFileInputSource | ( |  | ) |

## Member Function Documentation

virtual BinInputStream* LocalFileInputSource::makeStream | ( |  | ) | const`[virtual]`

This method will return a binary input stream derivative that will parse from the local file indicatedby the system id.

Returns:
  A dynamically allocated binary input stream derivative that can parse from the file indicated by the system id.

Implements InputSource.

The documentation for this class was generated from the following file:

- LocalFileInputSource.hpp